#!/usr/bin/env python

# The software in this package is distributed under the GNU General
# Public License version 2 (with a special exception described below).
#
# A copy of GNU General Public License (GPL) is included in this distribution,
# in the file COPYING.GPL.
#
# As a special exception, if other files instantiate templates or use macros
# or inline functions from this file, or you compile this file and link it
# with other works to produce a work based on this file, this file
# does not by itself cause the resulting work to be covered
# by the GNU General Public License.
#
# However the source code for this file must still be made available
# in accordance with section (3) of the GNU General Public License.
#
# This exception does not invalidate any other reasons why a work based
# on this file might be covered by the GNU General Public License.
#
# Copyright (c) 2016-2022 Intra2net AG <info@intra2net.com>

# For packaging pyi2ncommon into an rpm, use make_dist.py

from distutils.core import setup

setup(name='pyi2ncommon',
      version='1.7.0',  # keep in sync with spec file and doc/conf.py
      description='Intra2net library of common python helper utilities',
      long_description='Helper modules for Intra2net python code that are '
                       'used in several places and/or are of '
                       'general interest',
      author='Intra2net AG',
      author_email='info@intra2net.com',
      url='http://www.intra2net.com',
      packages=['pyi2ncommon', 'pyi2ncommon.cnfline', 'pyi2ncommon.cnfvar'],
      package_dir={'pyi2ncommon': 'src'},
      license_files=('COPYING.GPL', 'Linking-Exception.txt'),
      license='GPLv2 + linking exception',
      classifiers=[
          "Programming Language :: Python :: 3",
          "Operating System :: OS Independent",
      ],
      )
